"use strict";

this.author      = "cim"; 
this.copyright   = "2011-2015 cim."; 
this.licence = "CC-BY-SA 3.0";
this.name = "RRS Escort Targeting Equipment";

this.filter = function(entity) {
		return entity.isShip && entity.target && entity.hasHostileTarget;
}

this.activated = function() {
		if (!player.ship.target) {
				player.consoleMessage("No target selected");
				return;
		}
		
		var possibles = system.filteredEntities(this,this.filter,player.ship,25600);
		
		for (var i=0;i<possibles.length;i++) {
				if (possibles[i].target == player.ship.target && possibles[i] != player.ship.target) {
						player.ship.target = possibles[i];
						player.consoleMessage("Target locked");
						return;
				}
		}

		player.consoleMessage("No hostile target found");
}
